#include<bits/stdc++.h>
using namespace std;
int main()
{
    char a, b;
    long long a1, b1, k;
    cin>>a1>>a>>b1>>b>>k;
    if(a=='A')
    {
        if(k>=a)
        {
            cout<<a<<endl;
        }
        else if(k<a)
        {
            cout<<k<<end;
        }
    }
    else if(a=='B')
    {
        if(k>b)
           {
               cout<<k-b-a<<endl;
           }
        else
        {
            cout<<0<<endl;
        }
    }






    return 0;
}
